Revoke external issue sync
POST
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidfinding_id*Finding IdFormat
uuidissue_id*Issue IdFormat
uuidapplication/json- body
reason*ReasonLength
3 <= length <= 2000Successful Response
application/json- response
external_id*string|nullexternal_url*string|nullid*IdFormat
uuidlast_error*string|nulllast_status*string|nulllast_synced_at*|nullprovider*Providerrevoked_at*|nullsync_cursor*string|nullsync_state*Sync Stateupdated_at*Updated AtFormat
date-timeworkflow_action_id*Workflow Action IdFormat
uuidcurl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/findings/497f6eca-6276-4993-bfeb-53cbbbba6f08/external-issues/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke' \ -H 'Content-Type: application/json' \ -d '{ "reason": "string"}'Example Response
{ "external_id": "string", "external_url": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_error": "string", "last_status": "string", "last_synced_at": "2019-08-24T14:15:22Z", "provider": "string", "revoked_at": "2019-08-24T14:15:22Z", "sync_cursor": "string", "sync_state": "string", "updated_at": "2019-08-24T14:15:22Z", "workflow_action_id": "7de771d7-f9cd-453f-8427-f366cba180e9"}